/*
 * Copyright (C) 2010-2012 Agrosense info@agrosense.eu
 * 
 * Licensed under the Eclipse Public License - v 1.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *          http://www.eclipse.org/legal/epl-v10.html
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package nl.cloudfarming.client.field.type.wizard;

import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.JTextField;
import net.miginfocom.swing.MigLayout;
import org.openide.util.NbBundle;

@NbBundle.Messages(value={"new activity field wizard name label=Activity field name:","new activity field wizard description label=Activity field description:"})
public final class NewActivityFieldVisualPanel extends JPanel {

    /**
     * Creates new form CropProductionUnitInputPanel
     */
    public NewActivityFieldVisualPanel() {
        init();
    }

    @Override
    public String getName() {
        return "Step #1";
    }

    public JTextField getActivityFieldNameTextField() {
        return activityFieldNameTextField;
    }

    public String getActivityFieldName() {
        return activityFieldNameTextField.getText().trim();
    }

    public String getActivityFieldDescription() {
        return activityFieldDescriptionTextField.getText().trim();
    }
    private JLabel activityFieldNameLabel;
    private JTextField activityFieldNameTextField;
    private JLabel activityFieldDescriptionLabel;
    private JTextField activityFieldDescriptionTextField;

    public void init() {
        setLayout(new MigLayout("wrap 2"));
        activityFieldNameTextField = new JTextField();
        activityFieldNameTextField.setColumns(25);
        activityFieldDescriptionTextField = new JTextField();
        activityFieldDescriptionTextField.setColumns(25);

        activityFieldNameLabel = new JLabel(Bundle.new_activity_field_wizard_name_label());
        activityFieldDescriptionLabel = new JLabel(Bundle.new_activity_field_wizard_description_label());

        add(activityFieldNameLabel);
        add(activityFieldNameTextField);

        add(activityFieldDescriptionLabel);
        add(activityFieldDescriptionTextField);
    }

}
